#include <stdio.h>
#include <stdlib.h>

int main()
{
    int t, n, m ,k,br=0,mr;
    scanf("%d", &t);
    for(int i = 0;i<t;i++)
        scanf("%d %d %d", &n,&m,&k);
    int a[k],b[n];
    if(k%2==0)
    {
        if(n%2==0)
        {
            for(int i=0;i<k;i++)
            {
                    a[i]=n/k;
            }
        }
        else
            for(int i=0;i<k;i++)
            {
                if(i==k-1)
                    a[i]=n/k+1;
                else
                    a[i]=n/k;
            }
    }else
            for(int i=0;i<k;i++)
            {
                if(i==k-1)
                    a[i]=n/k+1;
                else
                    a[i]=n/k;
            }


            for(int i=0;i<a[i];i++)
            {
                while(n>=0)
                {
                    m=m-i;
                    n--;
                    if(n==0&&m<=0)
                        br=1;
                }


            }
    for(int i=0;i<k;i++)
    {
        if(br==1)
            printf("Nie");
        else
            printf("Tak");
    }

    return 0;
}